---
title: General sibling combinator
slug: Web/CSS/General_sibling_combinator
tags:
  - CSS
  - Reference
  - Selector
  - Selectors
---
<div>{{CSSRef("Selectors")}}</div>

<p>The <strong>general sibling combinator</strong> (<code>~</code>) separates two selectors and matches <em>all iterations</em> of the second element, that are following the first element (though not necessarily immediately), and are children of the same parent {{Glossary("element")}}.</p>

<pre class="brush: css no-line-numbers notranslate">/* Paragraphs that are siblings of and
   subsequent to any image */
img ~ p {
  color: red;
}</pre>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">former_element ~ target_element { <em>style properties</em> }
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">p ~ span {
  color: red;
}</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;span&gt;This is not red.&lt;/span&gt;
&lt;p&gt;Here is a paragraph.&lt;/p&gt;
&lt;code&gt;Here is some code.&lt;/code&gt;
&lt;span&gt;And here is a red span!&lt;/span&gt;
&lt;span&gt;And this is a red span!&lt;/span&gt;
&lt;code&gt;More code...&lt;/code&gt;
&lt;div&gt; How are you? &lt;/div&gt;
&lt;p&gt; Whatever it may be, keep smiling. &lt;/p&gt;
&lt;h1&gt; Dream big &lt;/h1&gt;
&lt;h2&gt; that's all. &lt;/h2&gt;
&lt;span&gt;And yet again this is a red span!&lt;/span&gt;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", "auto", 300)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Selectors", "#general-sibling-combinators", "subsequent-sibling combinator")}}</td>
   <td>{{Spec2("CSS4 Selectors")}}</td>
   <td>Renames it the "subsequent-sibling" combinator.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Selectors", "#general-sibling-combinators", "general sibling combinator")}}</td>
   <td>{{Spec2("CSS3 Selectors")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.general_sibling")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Adjacent_sibling_combinator">Adjacent sibling combinator</a></li>
</ul>
